# Calibration

- We provide a reference answer in code because the data is fake and the result is strange.

  

# Depth_pc

- The `depth.png` and `seg.png` are generated by `render.py`, which uses `pyrender` to render `spot.obj` to 2D image plane.
- If you implement the backprojection correctly, the result should be overlapped with `aligned_full_pc.txt`. 
- For interest readers,  `aligned_full_pc.txt` is different from `raw_full_pc.txt`, which is sampled from `spot.obj`, because the default camera in `pyrender` looks at -z axis. 



# Mesh_pc

- Note that we use the mean distance in this assignment, which is different from the slides.
- We recommend using [this repo](https://github.com/j2kun/earthmover/) to compute earth move distance between two point clouds.
```bash
cd mesh_pc 
git clone git@github.com:j2kun/earthmover.git
```




# Submission
- Compress the entire folder using our provided `pack.py` and submit to [course.pku.edu.cn](https://course.pku.edu.cn/).
- The folder named `results` in the main directoy should be structed as follows.
```bash
  results
  ├── bob.obj
  ├── spot.obj
  ├── calibr.npy
  ├── uniform_sampling_results.npy
  ├── fps_results.npy 
  ├── metrics.npy
  ├── pc_from_depth.txt
  └── one_way_CD.txt
```



# Appendix

- We recommand to use some softwares to visualize the results to help debug.
  - CloudCompare: https://www.danielgm.net/cc/
  - Meshlab: https://www.meshlab.net/
  - ...
